/* ***************************************************************** */
/* * OMEGAMON XE for DB2 on z/OS                                   * */
/* ***************************************************************** */
/* * REASON  RLSE DATE   ORIGIN DESCRIPTION                        * */
/* * PK57640  410 121007    SUK DSAC support                       * */
/* * PK65753  410 082508    SUK Fidelity enhancements              * */
/* ***************************************************************** */
**********************************************************************
* VIPER   - Viper Studio support                             07/20/07*
* PK36297 - EDM POOL v9 support                              02/09/07*
* PK25395 - zIIP support to Thread Detail                    06/08/06*
* Reset seed data                                                    *
**********************************************************************

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Connections_Warning";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Structure_Use_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Structure_Use_Warning";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Connection_Failed";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Group_BP_READ_Hit_Warn";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Lock_Wait_Time_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Thrd_Wait_Time_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Group_BP_Read_Hit_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Group_BP_Read_Hit_Warning";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Lock_Waiter_Time_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Lock_Waiter_Time_Warning";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Thread_Wait_Time_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Thread_Wait_Time_Warning";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Plex_Heartbeat";
DELETE FROM O4SRV.TMANTMPL
       WHERE NAME = "DB2plex";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME = "DB2_Plex_Heartbeat______________";

DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = 'DB2_Plex_Heartbeat';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_CMD_Connection_Failed';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_CMD_Group_BP_READ_Hit_Warn';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_CMD_Lock_Wait_Time_Critical';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_CMD_Thrd_Wait_Time_Critical';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = '*Critical';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = '*Not Monitored';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = '*Unknown';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = '*Warning';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_CF_Connections_Warning';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_CF_Structure_Use_Critical';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_CF_Structure_Use_Warning';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_Group_BP_Read_Hit_Critical';

DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_Group_BP_Read_Hit_Warning';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_Lock_Waiter_Time_Critical';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_Lock_Waiter_Time_Warning';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_Thread_Wait_Time_Critical';
DELETE FROM O4SRV.TTMPLSIT 
       WHERE NAME = 'DB2_Thread_Wait_Time_Warning';

DELETE FROM O4SRV.TTMPLSTA
       WHERE NAME = 'Critical';
DELETE FROM O4SRV.TTMPLSTA
       WHERE NAME = 'OK';
DELETE FROM O4SRV.TTMPLSTA 
       WHERE NAME = 'Unknown';
DELETE FROM O4SRV.TTMPLSTA 
       WHERE NAME = 'Warning';
DELETE FROM O4SRV.TTMPLSTA 
       WHERE NAME = 'Not Monitored';


DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = 'DB2_CF_Connections_Warning';
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = 'DB2_CF_Structure_Use_Critical';
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = 'DB2_CF_Structure_Use_Warning';
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = 'DB2_CMD_Connection_Failed';
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = 'DB2_CMD_Group_BP_READ_Hit_Warn';
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = 'DB2_CMD_Lock_Wait_Time_Critical';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'DB2_CMD_Thrd_Wait_Time_Critical';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'DB2_Group_BP_Read_Hit_Critical';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'DB2_Group_BP_Read_Hit_Warning';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'DB2_Lock_Waiter_Time_Critical';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'DB2_Lock_Waiter_Time_Warning';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'DB2_Thread_Wait_Time_Critical';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'DB2_Thread_Wait_Time_Warning';

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_ARCM_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_CTHD_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_DWAT_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_ETIM_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_GETP_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_IDBC_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_IDBT_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_INDB_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_RCPU_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_RIO_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_TCPU_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_TRCV_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_TSND_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WCLM_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WDLK_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WGLK_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WLGQ_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WSPS_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KD5_WSRV_Warning';

DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_Max_Agent_Overflows_Warning';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_Max_Agents_Waiting_Warning';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_Process_CPU_Usage_Warning';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_Fail_Stmt_Percent_Warning';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_Recent_Stmt_ETIM_Warning';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_Stolen_Agents_Warning';


DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ARCV_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_BMTH_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_CICT_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_COMT_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_DDFS_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_DRCV_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_DSND_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_EDMU_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ENTO_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ENTU_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ENTW_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_GTRC_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_IDBK_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_IDFR_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_IMCN_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_IMND_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_INDT_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_LKUS_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_LOGN_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_MCNV_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_MDBT_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_MDBW_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_PGUP_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_POLU_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_POLW_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_PREF_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_RELM_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_SPAC_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_STPE_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_SUSL_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_THDQ_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TMAX_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TRGD_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TRGE_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_UDFE_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_UFAC_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_UTIS_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_VDIO_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_VEDR_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_VSRV_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_VTIO_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_VUTL_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WTRE_Critical';

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ARCV_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_BMTH_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_CICT_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_COMT_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_DDFS_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_DRCV_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_DSND_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_EDMU_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ENTO_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ENTU_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ENTW_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_GTRC_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_IDBK_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_IDFR_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_INDT_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_LKUS_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_MCNV_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_MDBT_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_MDBW_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_PGUP_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_POLU_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_POLW_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_PREF_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_RELM_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_SPAC_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_STPE_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_SUSL_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_THDQ_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TMAX_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TRGD_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TRGE_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_UDFE_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_UFAC_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_VDIO_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_VEDR_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_VSRV_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_VTIO_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_VUTL_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WTRE_Warning';

**********************************************************************
* PK25395 - zIIP support to Thread Detail                            *
**********************************************************************
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_CPU_Time_Warning';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_In_DB2_IIP_CPU_Time_Warning';

**********************************************************************
* PK36297 - EDM Pool v9 support                                      *
**********************************************************************
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_DBD_Pool_InUse_Pct_High';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_RDS_Pool_below_Use_Pct_High';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_RDS_Pool_above_Use_Pct_High';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_STMT_Pool_InUse_Pct_High';
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = 'KD5_SKEL_Pool_inUse_Pct_High';

**********************************************************************
* DSAC Support                                                       *
**********************************************************************
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "KD5_LPAR_CPU_Usage_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "KD5_DB2_CPU_Usage_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "KD5_DB2MSTR_Usage_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "KD5_DB2DBM1_Usage_Warning";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_MVS_Extended_CSA_Warning";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_MVS_low_private_Warning";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_Storage_Cushion_Warning";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DBM1_Storage_Usage_Warning";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_Real_Storage_Usage_Warning";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DSNT376I_Timeout_Critical";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DSNT375I_Deadlock_Critical";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DSNU621I_Runstats_Critical";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DSNU511I_Recovery_Critical";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DSNP007I_Space_Critical";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DSNU548I_Recovery_Critical";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DSNT500I_ResUnavail_Warning";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DSNT501I_ResUnavail_Warning";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DSNP001I_Space_Warning";
**********************************************************************
* PK65753 - Fidelity enhancements                                    *
**********************************************************************
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_DSMAX_Approach_Max_Warning";
DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = "KD5_LOCK_ESCAL_EXCL_Warning";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "KD5_RID_Fallback_Warning";   
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "KD5_DBAT_Wait_Warning";   
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "KD5_Wait_Time_Warning";
   
   
      
    


   
   









